Package org.jfree.report.expressions.sys

## Class IsEndOfDataExpression

- java.lang.Object
- - org.jfree.report.expressions.AbstractExpression
  - - org.jfree.report.expressions.sys.IsEndOfDataExpression

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Expression`

      public class IsEndOfDataExpression
      extends AbstractExpression

  Creation-Date: 19.02.2006, 19:15:45
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IsEndOfDataExpression()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `computeValue()` | Return the current expression value.

    - ### Methods inherited from class org.jfree.report.expressions.AbstractExpression

      `clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsEndOfDataExpression

          public IsEndOfDataExpression()

  - ### Method Detail

    - #### computeValue

          public java.lang.Object computeValue()
                                        throws DataSourceException

      Return the current expression value.

      The value depends (obviously) on the expression implementation.

      Returns:
        the value of the function.
      Throws:
        `DataSourceException`